Bug 6314 - UNIMARC OPAC XSL improvements
Summary: UNIMARC OPAC XSL improvements
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: 3.8
Hardware: All All
: P1 - high enhancement (vote)
Assignee: Frédéric Demians
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-06 06:14 UTC by Frédéric Demians
Modified: 2014-05-26 21:05 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed patch (31.69 KB, patch)
2011-05-06 06:40 UTC, Frédéric Demians
Details | Diff | Splinter Review
Corrected proposed patch (37.13 KB, patch)
2011-07-08 11:37 UTC, Frédéric Demians
Details | Diff | Splinter Review
XSL UNIMARC Improvments (37.23 KB, patch)
2012-02-03 10:41 UTC, Alex Arnaud
Details | Diff | Splinter Review
[SIGNED OFF] Bug 6314 XSL UNIMARC Improvments (37.25 KB, patch)
2012-02-03 10:48 UTC, Alex Arnaud
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Frédéric Demians 2011-05-06 06:14:05 UTC
- Exclude 'marc' & 'item' prefix from UNIMARC util XSL to slim down
  result
- Add missing NSB/NSE characters striping
- 200 fields on result/detail page: show all subfields in order, link to
  detail page only on $a
- 4xx display, more fields and more subfields, respects subfields order
  which matter
- Add missing fields: 205, 500
- Add missing MARC21 syspref:
  - DisplayOPACiconsXSLT, not implemtable in UNIMARC 
  - OPACURLOpenInNewWindow
  - URLLinkText
  - ShowISBD
  Sidenote: this should have been done by people having introduced those
  syspref into MARC21 XSL.
Comment 1 Frédéric Demians 2011-05-06 06:40:34 UTC Comment hidden (obsolete)
Comment 2 Alex Arnaud 2011-07-08 09:41:57 UTC
This patch yields displaying problems on unimarc data:

"Jules César : tragédie[Texte imprimé]" => Title Information and Material Designation are stuck

"Henri VI ou La guerre des deux roses[Texte imprimé]" the same with title and Material Designation

", InstitutionBouquin : Autre nom du bouquin" => the title is "Bouquin", a field 200$5 is inserted before without space.
Comment 3 Frédéric Demians 2011-07-08 11:37:20 UTC Comment hidden (obsolete)
Comment 4 Frédéric Demians 2011-07-08 11:38:44 UTC
(In reply to comment #2)

New patch fixing errors and adding RAMEAU authorities subdivisions linking
Comment 5 Alex Arnaud 2011-08-05 09:22:32 UTC
I think it's a good thing to show 200 subfileds in order, but when i have some subfields before $a in the marcxml, i have some displaying problems.

For exemple, when a record has the following in marcxml:
   <datafield tag="200" ind1=" " ind2=" ">
    <subfield code="5">Institution</subfield>
    <subfield code="a">Livre</subfield>
    <subfield code="e">Autre titre du livre</subfield>
  </datafield>

I get on opac results:

: Autre titre du livre, InstitutionLivre / Jean

Should we consider it's a marcxml problem and the $a should always be at the top or should the display be adapted in this case ?
Comment 6 Frédéric Demians 2011-08-30 10:20:15 UTC
(In reply to comment #5)
> I think it's a good thing to show 200 subfileds in order, but when i have some
> subfields before $a in the marcxml, i have some displaying problems.
> 
> For exemple, when a record has the following in marcxml:
>    <datafield tag="200" ind1=" " ind2=" ">
>     <subfield code="5">Institution</subfield>
>     <subfield code="a">Livre</subfield>
>     <subfield code="e">Autre titre du livre</subfield>
>   </datafield>
> 
> I get on opac results:
> 
> : Autre titre du livre, InstitutionLivre / Jean
> 
> Should we consider it's a marcxml problem and the $a should always be at the
> top or should the display be adapted in this case ?

Good question and thanks for testing! I can't say if those kind of records are valid or common. I haven't biblio records like that to test with. So I would suggest to sign-off this patch if there isn't any other issue and submit a followup patch to fix this issue.
Comment 7 Paul Poulain 2011-10-24 11:38:20 UTC
Updating Version : This ENH will be for Koha 3.8
Comment 8 Paul Poulain 2011-10-25 15:05:57 UTC
Bug versionned for master. entries will be made against rel_3_8 once the patch has been applied (see thread about that on koha-devel yesterday)
Comment 9 Katrin Fischer 2011-12-21 05:51:24 UTC
Patch still applies and includes important enhancements. 
I am missing UNIMARC records for testing this bug and others - perhaps some records can be attached or a small database stored somewhere for testing purposes?
Comment 10 Alex Arnaud 2012-02-03 10:41:36 UTC Comment hidden (obsolete)
Comment 11 Alex Arnaud 2012-02-03 10:48:16 UTC
Created attachment 7437 [details] [review]
[SIGNED OFF] Bug 6314 XSL UNIMARC Improvments

- Exclude 'marc' & 'item' prefix from UNIMARC util XSL to slim down
  result
- Add missing NSB/NSE characters striping
- 200 fields on result/detail page: show all subfields in order, link to
  detail page only on $a
- 4xx display, more fields and more subfields, respects subfields order
  which matter
- Improve RAMEAU authorities linkings to subdivisions (pure XSLT)
- Add missing fields: 205, 500
- Add missing MARC21 syspref:
  - DisplayOPACiconsXSLT, not implemtable in UNIMARC
  - OPACURLOpenInNewWindow
  - URLLinkText
  - ShowISBD
  Sidenote: this should have been done by people having introduced those
  syspref into MARC21 XSL.

Suite

http://bugs.koha-community.org/show_bug.cgi?id=6314
Signed-off-by: Alex Arnaud <alex.arnaud@biblibre.com>
Comment 12 Paul Poulain 2012-02-03 15:42:49 UTC
QA comment: XSLT only patch. Unimarc only, nothing to say
Comment 13 Katrin Fischer 2013-03-24 08:26:14 UTC
This was set to pushed by Paul - so I think it's not master.